curl --request GET \
--url https://client-api.dev.finhost.io/v2/contracts \
--header 'Authorization: Bearer <token>'{
"contracts": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"available": true,
"currencies": [
{
"currency": "<string>",
"accountsCountLimit": 123,
"products": [
{
"id": "<string>",
"transferPlans": [
{
"from": 123,
"flat": 123,
"percentage": 123
}
]
}
]
}
],
"variants": [
{
"id": "<string>",
"currency": "<string>",
"description": "<string>",
"title": "<string>",
"accountsCountLimit": 123,
"products": [
{
"id": "<string>",
"transferPlans": [
{
"from": 123,
"flat": 123,
"percentage": 123
}
]
}
]
}
],
"onboardingFee": {
"currency": "<string>",
"amount": 123
}
}
]
}Get Contracts. If company ID is provided, then contracts for specific company will be returned, otherwise contracts for client will be returned. If client or company has no contract, then list of available contracts will be returned
curl --request GET \
--url https://client-api.dev.finhost.io/v2/contracts \
--header 'Authorization: Bearer <token>'{
"contracts": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"available": true,
"currencies": [
{
"currency": "<string>",
"accountsCountLimit": 123,
"products": [
{
"id": "<string>",
"transferPlans": [
{
"from": 123,
"flat": 123,
"percentage": 123
}
]
}
]
}
],
"variants": [
{
"id": "<string>",
"currency": "<string>",
"description": "<string>",
"title": "<string>",
"accountsCountLimit": 123,
"products": [
{
"id": "<string>",
"transferPlans": [
{
"from": 123,
"flat": 123,
"percentage": 123
}
]
}
]
}
],
"onboardingFee": {
"currency": "<string>",
"amount": 123
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
Use this file to discover all available pages before exploring further.